# Woo Auction Software: WordPress Auction Plugin #
**Contributors:** [WPeka Club](https://profiles.wordpress.org/WPeka Club)  
**Donate link:** https://club.wpeka.com/  
**Tags:** auction, woocommerce auction, WordPress auction, auction plugin, proxy bidding, penny auction, eBay auction, simple auction, reverse auction, penny auction, eBay, bidding, auction script, wp auctions  
**Requires at least:** 4.6  
**Tested up to:** 5.6  
**Requires PHP:** 7.0  
**Stable tag:** 1.0.9  
**License:** GPLv2 or later  
**License URI:** http://www.gnu.org/licenses/gpl-2.0.htm  

Woo Auction Software is one of the flexible and intuitive WordPress Auction Plugin to host your online auctions.

## Description ##

Woo Auction Software is built for WordPress website owners who want to run successful auctions on their websites.

👉 Demo Site: [Click Here](https://demo.wpeka.com/woo-auction-software/)
👉 Learn More About Woo Auction Software(PRO): [Click Here](https://club.wpeka.com/product/woo-auction-software/)

This is a powerful auction plugin for WordPress that allows you to host live auctions on your website. You can do this without any coding knowledge.

Combine the ease of use of WordPress and the power of WooCommerce with this plugin to setup eCommerce auctions quickly. You can run auctions for digital or physical products.

### Woo Auction Software supports these types of auctions: ###

➡️ <strong>Forward Auctions -</strong> Buyers bid for your products, highest bidder wins.
➡️ <strong>Reverse Auction -</strong> Sellers bid the price at which they are willing to sell their products or services, <strong>Lowest Bid Wins.</strong>🏆
➡️ <strong>Penny Auction (PRO) -</strong> Host a bidding fee auction, allowing participants to pay a non-refundable fee to place each bid. The auction can be extended each time a new bid is placed.

### Here are some key features: ###

➡️ <strong>Sign up users to host auctions on your website (PRO) -</strong> Setup eBay style auctions by allowing users to host auctions on your site for a fee.
➡️ <strong>WooCommerce Payment Integration -</strong> Accept payments online from bidders using PayPal, Stripe or other supported payment gateways.

Woo Auction Software WordPress auction management plugin is designed to be simple, elegant, and easy to operate. It takes only a few minutes to install and get started.

It is easy to create, edit, and manage auctions on your website using the plugin’s intuitive interface. You can create unlimited auctions, and schedule them to go live in the future.

With this free online auction plugin, you get access to various filters that save your users time and effort when they search for an auction. The plugin gives you the ability to relist auctions manually or enable the automatic relist option. It is also possible to reopen a closed auction if required so that bidders can continue bidding.

The WordPress auction plugin also offers multi-vendor options. This helps you create an eBay-style vendor auction marketplace on your site. This feature allows your website visitors and other 3rd parties to host their own auction on your website and sell to your audience. This gives your website visitors a variety of auctions to choose from and bid, and you can also monetize by the commissions earned.

Woo Auction Software plugin integrates with WooCommerce to provide a diverse set of payment gateways so that your users can place bids in their native currency through any popular payment gateway supported.

This plugin can be used to host auctions in any language with the help of local translation plugins. You may be a novice or an expert, this plugin supports all types of users needing no technical or coding skills on your part.

***Here’s what Darryl has to say about Woo Auction Software:***

>This was exactly what I was looking for. Woo Auction Software has provided me with features and functionalities that make a perfect auction site. - Darryl Lane

## How to get started with Woo Auction Software ##

[youtube https://www.youtube.com/watch?v=wDojKIpaf7s]

It is effortless to set up Woo Auction Software in different auction modes. You can use these auctions to create professional auction websites, eBay-type auctions, and many more. The plugin comes with pre-designed email templates that make it easy for you to customize the email notifications. The plugin works with all modern WordPress themes available.

### The various types of WooCommerce Auctions supported by this plugin are: ###

👶**Forward Auction**: It’s the most common type of auction. Auction starts from a specific price, and users bid for the product. If the reserve price is met at the end of the auction, the user with the highest bid can buy the product.

👦**Reverse Auction**: This auction is the reverse of a Forward auction. The auction will start from a specific price, and users place bids to lower the bid price. The user with the lowest bid wins. This auction is suitable for government contracts, service contracts, work to be awarded to lower bidders.

👨**Penny Auction (PRO version)**: In Penny auction, the user needs to buy credits/bids. Once the user places a bid, the amount set (usually a penny) gets deducted. This amount is non-refundable, and the bidder with the highest bid can buy the product. You can also extend the auction each time someone places a new bid. This way, you let your users bid aggressively and sell them products at attractive prices.

This online auction plugin allows you to create a vendor auction marketplace on your website, allowing other users to host their auctions on your site. All they need to do is simply register on your auction website and list their products. You can then specify the percentage of commission for every single vendor.

***See what Jennifer has to say about Woo Auction Software:***

>I love the way sellers can get paid through the site. It is a handy and simple-to-use plugin having an integrated payment system. - Jennifer Wesley

## Features ##

The Woo Auction Software auction management plugin is built with scalable features -
🔥 <strong>Forward Auction -</strong> Simple forward auctions to build a variety of auction sites — antiques, art, or charity auctions.
🔥 <strong>Reverse Auction -</strong> Set up auctions to invite sellers and vendors to compete for the lowest bid price.
🔥 <strong>Quality Assurance -</strong>Quality tested with the latest WordPress and WooCommerce versions.
🔥 <strong>Extensive Plugin -</strong>Integrated with WooCommerce Hooks that makes it easily extendable.
🔥 <strong>WooCommerce Templates -</strong>Uses the “WooCommerce templates” system. Helps to create and work with popular WooCommerce themes.
🔥 <strong>Widgets -</strong>Rich Widgets to use in sidebars or homepages.Admins can promote auctions using the starting soon, ending soon, and upcoming auctions widgets.
🔥 <strong>Variety of products to host -</strong>Supports multiple product types (Physical, Digital, Virtual Products/Services).
🔥 <strong>Email Notifications -</strong>Participants are automatically sent configurable emails, before and after auctions begin or end.
🔥 <strong>AJAX Updates Support -</strong>Ajax updates of latest bids and prices.
🔥 <strong>Customer Pricing -</strong>Define your price configuration: Starting Price of Auction, Increment Levels, Buy it now price, Reserve Price, Penny Auction credit adjustments, etc.
🔥 <strong>Schedule Auctions -</strong>Schedule Auctions in advance with a set start & end time.
🔥 <strong>Define Bid Range -</strong>Define your bid ranges for increments. At lower prices, the price for the next bid can be a smaller range ($10), for higher-priced products the minimum increment can be a higher amount ($100).
🔥 <strong>WooCommerce Payment Integration -</strong>Supports multiple payment gateways.
🔥 <strong>Local Translate Auctions -</strong>Multilingual compatible (PO Files) available to help translate the auction in any language as desired.
🔥 <strong>Anti sniping -</strong>Anti sniping feature allows other users to place bids on the auction in the last seconds of the auction end. Automatically extends auctions by a custom period to prevent last minutes bids and sniping.
🔥 <strong>Proxy Bidding -</strong>Allows users to place system-generated auto bids on auctions.
🔥 <strong>Bid Watchlist -</strong> Users can keep track of bids happening on their favorite auctions by adding them to a bid watch list.
🔥 <strong>Exclude auction fields -</strong>Selected fields will not be shown on the product page. For example: If you do not want to show the 'Item Condition' text on the product page, you could select 'Item Condition' from the select dropdown.
🔥 <strong>Penny Auction (Pro) -</strong> Set up fast, exciting, bidding fee auctions where participants pre-pay non-refundable fees.
🔥 <strong>Multi-Vendor Auction (Pro) -</strong>Enable end-users to create their auctions. Charge a fee for auction setup(via multi-vendor plugin)
🔥 <strong>SMS notification (Coming Soon) -</strong> Send SMS notifications to users about the status of their bids.
🔥 <strong>Variable Increment (Coming Soon) -</strong> Define Bid Incremental values for different bidding intervals this will help you receive higher bid margins.
🔥 <strong>Silent bidding (Coming Soon) -</strong> Host anonymous auctions where users are not aware of each other’s bid amount.

### Email notifications ###

Send email notifications to auction participants automatically. You can specify the types of emails to send as:

✉️- <strong> Auction Start Emails -</strong>Email to bidders to start placing bids.
✉️- <strong> Auction End Emails -</strong>Email to all bidders that the auction has ended
✉️- <strong> Winner Notification Emails  -</strong>Email to the auction winner and admin.
✉️- <strong> Outbid Notification Emails -</strong>Email to all bidders who have been outbid.

### Widgets included ###

Woo Auction Software plugin supports the following type of auctions:

⭐Ending Soon Auctions
⭐Featured Auctions
⭐Coming Soon Auctions
⭐My Auctions
⭐Random Auctions
⭐Recent Auctions
⭐Recently Viewed Auctions
⭐Expired Auction (Coming Soon)
⭐Future Auctions (Coming Soon)
⭐Live Auctions (Coming Soon)


***See what Thomas has to say about the Woo Auction Software:***

>I just love Woo Auction Software. It is by far the best auction plugin with all the features and at a reasonable price. Support is good too. - Thomas B.

## Looking for the PRO Features? ##

Unlock the PRO version now,
Visit – ➡️[Woo Auction Software Pro](https://club.wpeka.com/product/woo-auction-software/)⬅️

## Our other Awesome Projects ##

If you like this plugin, then consider checking out our other projects:

- ➡️[WP Legal Pages](https://wplegalpages.com/?utm_source=wporg&utm_medium=referral&utm_campaign=wpadcenter)⬅️: Generate 25+ legal policy pages for your WordPress website in just a few minutes, including, Privacy Policy, Terms & Conditions, Cookie Policy, and many more.

- ➡️[WP Cookie Consent](https://wplegalpages.com/cookie-consent-banner-on-your-website/?utm_source=wporg&utm_medium=referral&utm_campaign=wpadcenter)⬅️: Display a customized cookie consent notice (for GDPR), and "Do Not Sell" opt-out notice (for CCPA). Get granular consent and record a consent log.

- ➡️[WP AdCenter](https://wpadcenter.com/?&utm_source=wporg&utm_medium=referral&utm_campaign=wpauction)⬅️: Insert and manage Google AdSense, Amazon Ads, Media.net, ads.txt, banner ads, location-specific ads, random ads & rotating ads.

- ➡️[Responsive Gutenberg Blocks – Addons for Gutenberg Editor](https://wordpress.org/plugins/responsive-block-editor-addons/)⬅️: With the Responsive Gutenberg Blocks, you can create modern responsive designs, use reusable block page templates to kickstart your website in no time.

- ➡️[Elementor & Gutenberg Website Templates For Responsive](https://wordpress.org/plugins/responsive-add-ons/)⬅️: These are ready-to-use websites built for the Elementor page builder and the new WordPress blocks editor (Gutenberg).

## Installation ##

1. Download the zip file.
2. Log in as the WordPress Admin of your website.
3. Navigate to Plugins > Add New to upload plugin
4. Choose the plugin file to upload.
5. Activate the plugin.

## Frequently Asked Questions ##

### Where can I find documentation for setting up the plugin? ###
You can find Auction Software Documentation and set up instructions [here](https://docs.wpeka.com/woo-auction/).

### Do I need any other plugins? ###
WooCommerce plugin should be installed & activated before activating the Auction Software plugin. If using in multi-vendor mode, use the multi-vendor plugin of WooCommerce. You may also need a local translate plugin in case the WordPress default feature doesn’t translate automatically.

### Why is the guest user unable to place a bid? ###
To place a bid on any auction product, the user needs to register with the website. This feature is added so guest users won’t be able to move bidding in an upward direction as guest users can walk away even after winning the auction.

### How can I set up eBay-type auctions in WordPress?
You can use any multi-vendor plugin to enable end-users to submit auctions. You can set up the price to charge for the auction setup.
###
### Is it compatible with Escrow Payments? ###
Yes. To know more about setting up escrow payments click [here](https://docs.wpeka.com/woo-auction/integration-with-escrow-payments).

## Screenshots ##

1. Simple Auction.
2. Reverse Auction
3. Penny Auction.
4. Auction Widgets.

## Changelog ##
### 1.0.9 ###
* Update: Consistent UI for auction products.
* Feature: Admin can now hide frontend auction fields on Shop page and in widgets.
* Fix: Fixed duplicate product issue with Auction products by disabling the ability to duplicate auction products.
* Fix: Minor bugs fixed related to number of auctions displayed in widget.

### 1.0.8 ###
* Update: Frontend UI improvements for auction single product page.
* Feature: Admin can now hide frontend auction single product page fields via WooCommerce settings.
* Feature: Added language support .pot file.
* Fix: Time Left issue with respect to timezone for auction single product page.

### 1.0.7 ###
* Fix: Users can import auction products using the WooCommerce Importer.
* Fix: Fixed PHP warning for auctions Start and End dates.
* Fix: Fixed reserve price not met issue on auctions.

### 1.0.6 ###
* Fix: Fixed vulnerability issue for analytics within the plugin.
* Update: Added upgrade to pro link on plugins page.

### 1.0.5 ###
Update: Added notice to track usage analytics for the plugin.

### 1.0.4 ###
Fix: Conflict issue in plugin deactivate feedback form.
Fix: Minor plugin bugs.

### 1.0.3 ###
Feature: Proxy auction (auto bot) for Simple and Reverse auctions.
Feature: Anti sniping feature.
Feature: Added options to extend auction end time in case of failure auctions.
Fix: Auction product template conflict with theme.

### 1.0.2 ###
Feature: Users can see the auctions participated in My Account area.

### 1.0.1 ###
Fix: Fixed for broken cart and checkout pages.

### 1.0.0 ###
Feature: Initial version.

## Upgrade Notice ##
### 1.0.9 ###
* Update: Consistent UI for auction products.
* Feature: Admin can now hide frontend auction fields on Shop page and in widgets.
* Fix: Fixed duplicate product issue with Auction products by disabling the ability to duplicate auction products.
* Fix: Minor bugs fixed related to number of auctions displayed in widget.

### 1.0.8 ###
* Update: Frontend UI improvements for auction single product page.
* Feature: Admin can now hide frontend auction single product page fields via WooCommerce settings.
* Feature: Added language support .pot file.
* Fix: Time Left issue with respect to timezone for auction single product page.

### 1.0.7 ###
* Fix: Users can import auction products using the WooCommerce Importer.
* Fix: Fixed PHP warning for auctions Start and End dates.
* Fix: Fixed reserve price not met issue on auctions.

### 1.0.5 ###
Update: Added notice to track usage analytics for the plugin.

### 1.0.4 ###
Fix: Conflict issue in plugin deactivate feedback form.
Fix: Minor plugin bugs.

### 1.0.3 ###
Feature: Proxy auction (auto bot) for Simple and Reverse auctions.
Feature: Anti sniping feature.
Feature: Added options to extend auction end time in case of failure auctions.
Fix: Auction product template conflict with theme.

### 1.0.2 ###
Feature: Users can see the auctions participated in My Account area.

### 1.0.1 ###
Fix: Fixed for broken cart and checkout pages.

### 1.0.0 ###
Feature: Initial version.
